Subject: Re: IPv6 and mandatory UDP checksum

From: Allison Mankin <[email-masked]>
Date: Tue, 29 Jan 2002 23:18:33 -0500

draft-ietf-tsvwg-udplite-00.txt

The working group agreed to a working group last call,
about to start.

Allison 

> 
> 
> > So what should I do if I want to use IPv6, which mandates UDP checksums
> > and requires receivers to discard UDP packets without checksums (i.e.
> > with zero checksum)? I assume that there is also a mandate to discard
> > UDP packets whose checksum is wrong, although I don't see that
> > explicitly in either the UDP or IPv6 RFCs.
> 
> I've been told there is supposed to be work on something called UDP-lite
> in TSVWG - the ability to have the UDP checksum cover some number of bytes
> in the packet (like e.g. just the pseudo-header, UDP header, and RTP header).
> But I don't know how this work is progressing.
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------